package danielcortes.xyz.models.detalle;

import danielcortes.xyz.models.estado_resultado.EstadoResultado;
import danielcortes.xyz.models.tipo_detalle.TipoDetalle;
import java.util.List;
import java.util.Optional;

public interface DetalleDAO {
  List<Detalle> getAll();
  List<Detalle> getByTipoDetalle(TipoDetalle tipoDetalle);
  Optional<Detalle> getById(int id);
  Optional<Detalle> getByEstadoResultado(EstadoResultado estadoResultado);

  void insert(Detalle detalle);
  void update(Detalle detalle);
  void delete(Detalle detalle);
}
